Bug 49819 - Improved index.html for default ROOT application
Improved index.html for default ROOT application
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Manager
trunk
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-08-25 03:26 UTC by Pid
Modified: 2010-11-01 11:33 UTC (History)
0 users



Attachments
ZIP of components for new index.html (121.75 KB, application/zip)
2010-10-03 13:01 UTC, Pid
Details
ZIP of components for new index.html (121.19 KB, application/zip)
2010-10-03 13:47 UTC, Pid
Details
Index page (13.35 KB, text/plain)
2010-10-31 12:12 UTC, Pid
Details
Style sheet (5.57 KB, text/plain)
2010-10-31 12:13 UTC, Pid
Details
Fixes IE corners (5.01 KB, text/plain)
2010-10-31 15:09 UTC, Pid
Details
Logo with [tm] (8.18 KB, image/png)
2010-10-31 15:11 UTC, Pid
Details
Small ASF logo (17.39 KB, image/png)
2010-10-31 15:11 UTC, Pid
Details
Nav gfx 1 (1.37 KB, image/png)
2010-10-31 15:14 UTC, Pid
Details
Nav gfx 2 (1.36 KB, image/png)
2010-10-31 15:15 UTC, Pid
Details
Upper gfx (3.03 KB, image/png)
2010-10-31 15:16 UTC, Pid
Details
Button gfx (713 bytes, image/png)
2010-10-31 15:17 UTC, Pid
Details
Middle bg gfx (1.87 KB, image/png)
2010-10-31 15:17 UTC, Pid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pid 2010-08-25 03:26:39 UTC
I aim to improve the index.html for the ROOT application delivered with Tomcat.

There is a prototype at: http://people.apache.org/~pidster/tomcat/ROOT/ which I offer for comment & criticism.

N.B. It's a hassle to make it look pretty in IE, so I'll defer doing that until after, (or if), there is positive feeling about the proposal and any proposed changes are made.  
It currently ought to work as intended in Chrome, Safari and Firefox 3.5+.
Comment 1 Chuck Caldarale 2010-08-25 08:49:13 UTC
(In reply to comment #0)
> It currently ought to work as intended in Chrome, Safari and Firefox 3.5+.

Looks good in Firefox 4.0b3 as well.  Ugly in IE8, as you said.

 - Chuck
Comment 2 Len Popp 2010-08-25 09:59:15 UTC
> N.B. It's a hassle to make it look pretty in IE

The first step would be to give the page a proper <DOCTYPE>. Without that you'll never get the various browsers to agree on anything.
Comment 3 Pid 2010-08-25 10:06:29 UTC
(In reply to comment #2)
> > N.B. It's a hassle to make it look pretty in IE
> 
> The first step would be to give the page a proper <DOCTYPE>. Without that
> you'll never get the various browsers to agree on anything.

Yeah, I know. Am just being lazy until there's consensus. 
I'll have to add gfx to bring it all together anyway, rather than just using CSS.
Comment 4 Pid 2010-08-25 10:37:54 UTC
More feedback, comments in response to Wes Acheson
 
> I think you still need the information that you are looking at
> root.war in there somewhere. Its the first thing that most new
> installs will want to know. How to change the page your looking at.

Noted.
 
> At a resolution of 800x600 there is a minor issue with the left most
> column the text "$CATALINA_HOME/conf/tomcat-users.xml" is truncated
> behind the middle column.

Also noted.
 
> I don't know if it gives too good of an impression to have css that
> doesn't validate. I know this is because you are using the vendor
> extensions instead of the standards.

It's just quicker to code up this way, I'll output it all with actual graphics to ensure consistency.
 
> Similarly the markup doesn't validate. I'm pretty sure this one
> should. Please note the previous tomcat root page didn't validate
> either.

Yep. See comments about IE & lazyness.
 
> I'm not that keen on the "buttons" on the right hand side of "upper".
> Users attach a different meaning to a button than to a link, I think
> it may decrease usablity.

I'll take input on ideas for visual ways of making those 3 UI elements distinct - they are intended to indicate that there is functionality, rather than information behind them, so this is deliberate.
 
> In future you will not be able to change a background image on hover.

It's experimental.
 
> The checkbox may be a bit misleading to people also especially as it
> implies something has or hasn't been done which isn't necessarily
> true.

It's also not working in some browsers already.
 
> I think the contrast should be increased in the rolover of the
> checkbox links in the header in case of people with impaired vision.
> 
> Regards,
> 
> Wes

Thanks for your input.
Comment 5 Wesley 2010-08-25 10:45:55 UTC
> > In future you will not be able to change a background image on hover.
> 
> It's experimental.


This was my mistake. I was thinking about a:visited history vulnerability. However that simply doesn't apply to hover.
Comment 6 Pid 2010-10-03 12:58:30 UTC
Updated with graphics and cross-browser layout.

 http://people.apache.org/~pidster/tomcat/ROOT/

Please test in IE versions as available.
Comment 7 Pid 2010-10-03 13:01:39 UTC
Created attachment 26113 [details]
ZIP of components for new index.html

The contents of the zip should replace the current webapps/ROOT directory in SVN.
I've supplied a ZIP rather than a diff, because it includes images.
Comment 8 Pid 2010-10-03 13:47:19 UTC
Created attachment 26114 [details]
ZIP of components for new index.html

Removed .files inadvertently included in original zip.
Comment 9 Pid 2010-10-31 12:12:08 UTC
Created attachment 26233 [details]
Index page
Comment 10 Pid 2010-10-31 12:13:44 UTC
Created attachment 26234 [details]
Style sheet
Comment 11 Pid 2010-10-31 15:09:57 UTC
Created attachment 26236 [details]
Fixes IE corners
Comment 12 Pid 2010-10-31 15:11:01 UTC
Created attachment 26237 [details]
Logo with [tm]
Comment 13 Pid 2010-10-31 15:11:58 UTC
Created attachment 26238 [details]
Small ASF logo
Comment 14 Pid 2010-10-31 15:14:36 UTC
Created attachment 26239 [details]
Nav gfx 1
Comment 15 Pid 2010-10-31 15:15:31 UTC
Created attachment 26240 [details]
Nav gfx 2
Comment 16 Pid 2010-10-31 15:16:14 UTC
Created attachment 26241 [details]
Upper gfx
Comment 17 Pid 2010-10-31 15:17:19 UTC
Created attachment 26242 [details]
Button gfx
Comment 18 Pid 2010-10-31 15:17:57 UTC
Created attachment 26243 [details]
Middle bg gfx
Comment 19 Pid 2010-10-31 15:19:10 UTC
Apologies for the noise.

Near as final as can be, with various tweaks to ensure IE compatability.
Comment 20 Tim Funk 2010-11-01 11:10:11 UTC
fyi ... I am looking to apply this today
Comment 21 Tim Funk 2010-11-01 11:33:26 UTC
thanks .. change applied via revision 1029708

Changes made to attached index.jsp
- 404's fixed
- Some other urls made more exact
- Used EL for many of the urls (helpful in case the domain changes or doc prefix changes)
- Used EL for the YEAR